#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working ldap server and gnupg configured with key retrieval with hkp)
#
%include	/usr/lib/rpm/macros.perl
Summary:	perl-ldap module - a client interface to LDAP servers
Summary(pl.UTF-8):	Moduł perl-ldap - kliencki interfejs do serwerów LDAP
Name:		perl-ldap
Version:	0.57
Release:	1
Epoch:		3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{name}-%{version}.tar.gz
# Source0-md5:	deff50f0de5d4cf95145765b6edd67d1
Patch0:		non-unicode-dump.patch
Patch1:		ignore-uninitialized.patch
URL:		http://ldap.perl.org/
BuildRequires:	perl-Authen-SASL >= 2.00
BuildRequires:	perl-Convert-ASN1 >= 0.20
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-IO-Socket-INET6
BuildRequires:	perl-IO-Socket-SSL >= 1.26
BuildRequires:	perl-JSON
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-URI >= 1.1
BuildRequires:	perl-XML-SAX-Writer
BuildRequires:	perl-devel >= 1:5.18.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Module-Signature
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-libwww
%endif
Obsoletes:	perl-LDAP
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
perl-ldap is a collection of modules that implements a LDAP services
API for Perl programs.

%description -l pl.UTF-8
perl-ldap to zestaw modułów umożliwiających dostęp do usług LDAP z
poziomu programów w Perlu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

# this must be done after tests because of signature checking
find blib -type f | xargs -r perl -pi -e 's|/local/bin/perl\d*|/bin/perl|g'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT
cp -r {contrib,bin} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/Bundle::Net::LDAP.3pm
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/{Bundle/Net/LDAP.pm,Net/{,LDAP/}*.pod}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Net/LDAP/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS Changes README TODO
%{perl_vendorlib}/LWP/Protocol/ldap.pm
%{perl_vendorlib}/LWP/Protocol/ldapi.pm
%{perl_vendorlib}/LWP/Protocol/ldaps.pm
%{perl_vendorlib}/Net/LDAP*.pm
%dir %{perl_vendorlib}/Net/LDAP
%{perl_vendorlib}/Net/LDAP/*.pm
%{perl_vendorlib}/Net/LDAP/Control
%{perl_vendorlib}/Net/LDAP/Extension
%{perl_vendorlib}/Net/LDAP/Extra
%{perl_vendorlib}/Net/LDAP/Intermediate
%{_mandir}/man3/LWP::Protocol::ldap*
%{_mandir}/man3/N*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Aug 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-ldap.git;a=log;h=master

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> 4b08901
- up to 0.57
- silence perl warnings about possibly uninitialized var

* Fri Jul 05 2013 Jan Rękorajski <baggins@pld-linux.org> f0f3f42
- Merge branch 'master' of git://git.pld-linux.org/packages/perl-ldap

* Fri Jul 05 2013 Jan Rękorajski <baggins@pld-linux.org> ee57526
- disable unicode warnings in entry->dump()
- rel 2

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 5358743
- updated BRs

* Tue Jun 25 2013 Jan Rękorajski <baggins@pld-linux.org> 2ea94c2
- up to 0.56
- updated BRs and files

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 302f4ed
- up to 0.40

* Tue Sep 08 2009 Jan Rękorajski <baggins@pld-linux.org> cc5b73f
- up to 0.39
- cleaned up BRs

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c9f893
- release 2

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 8019855
- perl-ExtUtils-AutoInstall is not BRed (included in sources)
- optional perl-IO-Socket-SSL is BRed for non-interactive build

* Fri Mar 28 2008 Szymon Siwek <sls@pld-linux.org> 3e31e38
- BR: perl-IO-Socket-SSL
- rel. 1

* Fri Mar 28 2008 Szymon Siwek <sls@pld-linux.org> 1d96aa4
- ver. 0.34

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 896f28f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7743636
- converted to UTF-8

* Mon Jan 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 90b88c9
- tabs

* Mon Jan 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f27b7b
- some are mandatory

* Mon Jan 02 2006 Elan Ruusamäe <glen@pld-linux.org> 0a8ccb2
- epoch 3 due: 0.3202 > 0.33
- rel 2

* Mon Jan 02 2006 Elan Ruusamäe <glen@pld-linux.org> dd52688
- updated to 0.33
- clean check-files
- tests disabled due needing ldap server and fetching gpg key via hkp
- Obsoletes: perl-LDAP for upgrades from fedora core

* Thu May 05 2005 ankry <ankry@pld-linux.org> 51c11ef
- updated to 0.3202

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> d936e84
- updated to 0.32
- BuildRequires: perl-ExtUtils-AutoInstall

* Fri May 07 2004 ankry <ankry@pld-linux.org> c4b540e
- rel. 2

